Package weka.core.pmml.jaxbbindings

# Class UnivariateStats

java.lang.Object
weka.core.pmml.jaxbbindings.UnivariateStats

public class UnivariateStats extends Object

Java class for UnivariateStats element declaration.

The following schema fragment specifies the expected content contained within this class.

     <element name="UnivariateStats">
       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
               <element ref="{http://www.dmg.org/PMML-4_1}Counts" minOccurs="0"/>
               <element ref="{http://www.dmg.org/PMML-4_1}NumericInfo" minOccurs="0"/>
               <element ref="{http://www.dmg.org/PMML-4_1}DiscrStats" minOccurs="0"/>
               <element ref="{http://www.dmg.org/PMML-4_1}ContStats" minOccurs="0"/>
               <element ref="{http://www.dmg.org/PMML-4_1}Anova" minOccurs="0"/>
             </sequence>
             <attribute name="field" type="{http://www.dmg.org/PMML-4_1}FIELD-NAME" />
             <attribute name="weighted" default="0">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                   <enumeration value="0"/>
                   <enumeration value="1"/>
                 </restriction>
               </simpleType>
             </attribute>
           </restriction>
         </complexContent>
       </complexType>
     </element>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UnivariateStats()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Anova`
  `getAnova()`
  Gets the value of the anova property.
  `ContStats`
  `getContStats()`
  Gets the value of the contStats property.
  `Counts`
  `getCounts()`
  Gets the value of the counts property.
  `DiscrStats`
  `getDiscrStats()`
  Gets the value of the discrStats property.
  `List<Extension>`
  `getExtension()`
  Gets the value of the extension property.
  `String`
  `getField()`
  Gets the value of the field property.
  `NumericInfo`
  `getNumericInfo()`
  Gets the value of the numericInfo property.
  `String`
  `getWeighted()`
  Gets the value of the weighted property.
  `void`
  `setAnova(Anova value)`
  Sets the value of the anova property.
  `void`
  `setContStats(ContStats value)`
  Sets the value of the contStats property.
  `void`
  `setCounts(Counts value)`
  Sets the value of the counts property.
  `void`
  `setDiscrStats(DiscrStats value)`
  Sets the value of the discrStats property.
  `void`
  `setField(String value)`
  Sets the value of the field property.
  `void`
  `setNumericInfo(NumericInfo value)`
  Sets the value of the numericInfo property.
  `void`
  `setWeighted(String value)`
  Sets the value of the weighted property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### UnivariateStats

    public UnivariateStats()

- ## Method Details

  - ### getExtension

    public List<Extension> getExtension()
    Gets the value of the extension property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

    For example, to add a new item, do as follows:

            getExtension().add(newItem);

    Objects of the following type(s) are allowed in the list `Extension`

  - ### getCounts

    public Counts getCounts()
    Gets the value of the counts property.
    Returns:
      possible object is `Counts`

  - ### setCounts

    public void setCounts(Counts value)
    Sets the value of the counts property.
    Parameters:
      `value` - allowed object is `Counts`

  - ### getNumericInfo

    public NumericInfo getNumericInfo()
    Gets the value of the numericInfo property.
    Returns:
      possible object is `NumericInfo`

  - ### setNumericInfo

    public void setNumericInfo(NumericInfo value)
    Sets the value of the numericInfo property.
    Parameters:
      `value` - allowed object is `NumericInfo`

  - ### getDiscrStats

    public DiscrStats getDiscrStats()
    Gets the value of the discrStats property.
    Returns:
      possible object is `DiscrStats`

  - ### setDiscrStats

    public void setDiscrStats(DiscrStats value)
    Sets the value of the discrStats property.
    Parameters:
      `value` - allowed object is `DiscrStats`

  - ### getContStats

    public ContStats getContStats()
    Gets the value of the contStats property.
    Returns:
      possible object is `ContStats`

  - ### setContStats

    public void setContStats(ContStats value)
    Sets the value of the contStats property.
    Parameters:
      `value` - allowed object is `ContStats`

  - ### getAnova

    public Anova getAnova()
    Gets the value of the anova property.
    Returns:
      possible object is `Anova`

  - ### setAnova

    public void setAnova(Anova value)
    Sets the value of the anova property.
    Parameters:
      `value` - allowed object is `Anova`

  - ### getField

    public String getField()
    Gets the value of the field property.
    Returns:
      possible object is `String`

  - ### setField

    public void setField(String value)
    Sets the value of the field property.
    Parameters:
      `value` - allowed object is `String`

  - ### getWeighted

    public String getWeighted()
    Gets the value of the weighted property.
    Returns:
      possible object is `String`

  - ### setWeighted

    public void setWeighted(String value)
    Sets the value of the weighted property.
    Parameters:
      `value` - allowed object is `String`